<?php

namespace Codi22\VLAN\Http\Controllers\Api;

use App\Http\Controllers\Api\PublicController as BaseController;
use Codi22\VLAN\Interfaces\VLANSRepositoryInterface;
use Codi22\VLAN\Repositories\Presenter\VLANSItemTransformer;

/**
 * Pubic API controller class.
 */
class VLANSPublicController extends BaseController
{
    /**
     * Constructor.
     *
     * @param type \Codi22\VLANS\Interfaces\VLANSRepositoryInterface $v_l_a_n_s
     *
     * @return type
     */
    public function __construct(VLANSRepositoryInterface $v_l_a_n_s)
    {
        $this->repository = $v_l_a_n_s;
        parent::__construct();
    }

    /**
     * Show v_l_a_n_s's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $v_l_a_n_s_s = $this->repository
            ->setPresenter('\\Codi22\\VLAN\\Repositories\\Presenter\\VLANSListPresenter')
            ->scopeQuery(function($query){
                return $query->orderBy('id','DESC');
            })->paginate();

        $v_l_a_n_s_s['code'] = 2000;
        return response()->json($v_l_a_n_s_s)
                ->setStatusCode(200, 'INDEX_SUCCESS');
    }

    /**
     * Show v_l_a_n_s.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $v_l_a_n_s = $this->repository
            ->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        if (!is_null($v_l_a_n_s)) {
            $v_l_a_n_s         = $this->itemPresenter($module, new VLANSItemTransformer);
            $v_l_a_n_s['code'] = 2001;
            return response()->json($v_l_a_n_s)
                ->setStatusCode(200, 'SHOW_SUCCESS');
        } else {
            return response()->json([])
                ->setStatusCode(400, 'SHOW_ERROR');
        }

    }
}
