<?php

namespace Codi22\VLAN\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Codi22\VLAN\Interfaces\VLANSRepositoryInterface;

class VLANSPublicController extends BaseController
{
    // use VLANSWorkflow;

    /**
     * Constructor.
     *
     * @param type \Codi22\VLANS\Interfaces\VLANSRepositoryInterface $v_l_a_n_s
     *
     * @return type
     */
    public function __construct(VLANSRepositoryInterface $v_l_a_n_s)
    {
        $this->repository = $v_l_a_n_s;
        parent::__construct();
    }

    /**
     * Show v_l_a_n_s's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $v_l_a_n_s_s = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('v_l_a_n::public.v_l_a_n_s.index', compact('v_l_a_n_s_s'))->render();
    }

    /**
     * Show v_l_a_n_s.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $v_l_a_n_s = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('v_l_a_n::public.v_l_a_n_s.show', compact('v_l_a_n_s'))->render();
    }

}
