<?php

namespace Codi22\VLAN\Workflow;

use Codi22\VLAN\Models\VLANS;
use Codi22\VLAN\Notifications\VLANS as VLANSNotifyer;
use Notification;

class VLANSNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param VLANS $v_l_a_n_s
     *
     * @return void
     */
    public function complete(VLANS $v_l_a_n_s)
    {
        return Notification::send($v_l_a_n_s->user, new VLANSNotifyer($v_l_a_n_s, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param VLANS $v_l_a_n_s
     *
     * @return void
     */
    public function verify(VLANS $v_l_a_n_s)
    {
        return Notification::send($v_l_a_n_s->user, new VLANSNotifyer($v_l_a_n_s, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param VLANS $v_l_a_n_s
     *
     * @return void
     */
    public function approve(VLANS $v_l_a_n_s)
    {
        return Notification::send($v_l_a_n_s->user, new VLANSNotifyer($v_l_a_n_s, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param VLANS $v_l_a_n_s
     *
     * @return void
     */
    public function publish(VLANS $v_l_a_n_s)
    {
        return Notification::send($v_l_a_n_s->user, new VLANSNotifyer($v_l_a_n_s, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param VLANS $v_l_a_n_s
     *
     * @return void
     */
    public function archive(VLANS $v_l_a_n_s)
    {
        return Notification::send($v_l_a_n_s->user, new VLANSNotifyer($v_l_a_n_s, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param VLANS $v_l_a_n_s
     *
     * @return void
     */
    public function unpublish(VLANS $v_l_a_n_s)
    {
        return Notification::send($v_l_a_n_s->user, new VLANSNotifyer($v_l_a_n_s, 'unpublish'));;

    }
}
